<div class="row">
  <div id="toolbar_search_top" class="py-3 col-12 d-lg-none">
    <button class="toggle_offcanvas_menu btn btn-danger float-right">
      <span class="d-none d-md-inline long-button-title">{{ 'Filters'|t }}</span>
      <i class="fa fa-angle-double-left ml-md-2"></i>
    </button>
  </div>
</div>
<div class="row">
  <div id="mobile-offcanvas" class="col-lg-3 col-md-12 pt-lg-3">

    <div id="toolbar_offcanvas_top" class="px-0 py-3 col-12 d-lg-none clearfix">
      <button class="toggle_offcanvas_menu btn btn-light float-right">
        <span class="long-button-title">{{ 'Close'|t }}</span>
        <i class="fa fa-angle-double-right ml-2"></i>
      </button>
    </div>

    <section class="facets pb-3" id="facets" role="navigation">
      {% if active_filters|length > 0 %}
        <div class="card active-filters mb-3">
          <h1 class="active_facets__title dex__title--sub">{{ 'Active filters'|t }}</h1>
          <div class="active-filter-tags p-3">
            {% for active_filter in active_filters %}
              <a class="dex__link active btn btn-primary" href="{{ active_filter['url'] }}" rel="nofollow">
                <span class="dex__link__text" title="{{ active_filter['current_facet'] }}: {{ active_filter['title'] }}">{{ active_filter['current_facet'] }}: {{ active_filter['title'] }}</span>
                <i class="fa fa-circle-xmark d-inline-flex" title="{{ 'Deactivate filter'|t }}"></i>
              </a>
            {% endfor %}
          </div>
        </div>
      {% endif %}

      <div class="card facet-filters">
        <h1 class="facets__title dex__title--sub">{{ 'Filter results'|t }}</h1>

        <div class="facets__facets row">
          <div id="accordion" class="w-100">
            {% if search_facets is same as([]) %}
              <div class="p-3">
                <em>{{ 'There are no filter options available.'|t }}</em>
              </div>
            {% else %}
              {% for facet_field in search_facets %}
                <div class="card">
                  <div class="card-header" id="heading{{ loop.index }}">
                    <button class="btn {% if facet_field['facets']|length > 9 %}collapsed{% endif %}" data-toggle="collapse" data-target="#collapse{{ loop.index }}" aria-expanded="{% if facet_field['facets']|length < 10 %}true{% endif %}" aria-controls="collapse{{ loop.index }}">
                      <h4 class="dex__label--big-bold">
                        {{ facet_field['title'] }} ({{ facet_field['facets']|length }})
                        <i class="fa fa-2x fa-minus-square d-inline-flex"></i>
                        <i class="fa fa-2x fa-plus-square d-inline-flex"></i>
                      </h4>
                    </button>
                  </div>
                  <div id="collapse{{ loop.index }}" class="collapse {% if facet_field['facets']|length < 10 %}show{% endif %}" aria-labelledby="heading{{ loop.index }}">
                    <div class="card-body">
                      {% for facet_value in facet_field['facets'] %}
                        <li>
                          {% if facet_value['active'] %}
                            <a class="dex__link active" href="{{ facet_value['url'] }}" rel="nofollow" title="{{ 'Deactivate filter'|t }}">
                              {{ facet_value['title'] }} ({{ facet_value['count'] }})
                            </a>
                          {% else %}
                            <a class="dex__link" href="{{ facet_value['url'] }}" rel="nofollow" title="{{ 'Activate filter'|t }}">
                              {{ facet_value['title'] }} ({{ facet_value['count'] }})
                            </a>
                          {% endif %}
                        </li>
                      {% endfor %}
                    </div>
                  </div>
                </div>
              {% endfor %}
            {% endif %}
          </div>
        </div>

      </div>
    </section>
  </div>
  <div class="col-lg-9 col-md-12">
    <h1 class="search-results__title dex__title--page pt-3">
      {{ search_result_count|number_format(0, ',', '.') }}
      {% if search_name == 'All' %}
        {% set search_result_scope = 'result' %}

        {% if search_result_count != 1 %}
          {% set search_result_scope = search_result_scope ~ 's' %}
        {% endif %}
      {% else %}
        {% set search_result_scope = search_name %}
      {% endif %}

      {{ search_result_scope|t }}

      {% if search_query != '*:*' %}
        {% if search_query is not empty %}
          {{ 'for'|t }} &ldquo;<span class="search-results__term" id="search-term">{{ search_query }}</span>&rdquo;
        {% endif %}
      {% endif %}
    </h1>

    <section class="search-bar">
      {{ search_form }}
    </section>

    <section class="search-results">
      {% if search_original_query is not empty %}
        <p>
          {{ 'Showing results for'|t }} &ldquo;<span class="font-weight-bold">{{ search_query }}</span>&rdquo;<br>
          <small>{{ 'Search instead for'|t }}
            &ldquo;<a href="{{ path(route_name, {
              'scope': scope,
              'dataspace': dataspace,
              'query': search_original_query,
              'filters': search_facets_string,
              'page_number': 1,
              'no_autocorrect': true
            }) }}">{{ search_original_query }}</a>&rdquo;
          </small>
        </p>
      {% elseif search_suggestion is not empty%}
        <p>
          {{ 'Did you mean'|t }}
          &ldquo;<a class="font-weight-bold" href="{{ path(route_name, {
              'scope': scope,
              'dataspace': dataspace,
              'query': search_suggestion,
              'filters': search_facets_string,
              'page_number': 1,
            }) }}">{{ search_suggestion }}</a>&rdquo;
        </p>
      {% endif %}

      {% if search_results is empty %}
        <p>{{ 'No results were found for the given query.'|t }}</p>
      {% else %}
        <ul id="search-results" class="search-results__list">
          {% for search_result in search_results %}
            {% include [
              '@dexes_search/results/result-' ~ search_result.getStringField(search_type_field) ~ '.html.twig',
              '@dexes_search/results/result-default.html.twig'
            ] with { 'search_result': search_result } %}
          {% endfor %}
        </ul>
      {% endif %}
    </section>

    <div class="search-results__pagination">
      {% include '@dexes_search/pagination.html.twig' %}
    </div>
  </div>
</div>
